set col(1) red
set col(2) green
set col(3) blue

set rmi(mainWindow) ""
set rmi(Mask) 1
set rmi(Version) 1.0
set rmi(MeshValid) 0
set rmi(ViewPid) 0
set rmi(ConfigurationSelected) 0
set rmi(TetinSelected) 0
set rmi(all_intake_valves) 1
set rmi(all_exhaust_valves) 1
set rmi(IntakeTetraViolateGeom) 0
set rmi(IntakeTetraViolateGeom,1) $rmi(IntakeTetraViolateGeom)
set rmi(IntakeTetraViolateGeom,2) $rmi(IntakeTetraViolateGeom)
set rmi(IntakeTetraViolateGeom,3) $rmi(IntakeTetraViolateGeom)
set rmi(ExhaustTetraViolateGeom) 0
set rmi(ExhaustTetraViolateGeom,1) $rmi(ExhaustTetraViolateGeom)
set rmi(ExhaustTetraViolateGeom,2) $rmi(ExhaustTetraViolateGeom)
set rmi(CombTetraViolateGeom) 0
set rmi(PistonTetraViolateGeom) 0
set rmi(IntakeNLayerBelow) 1
set rmi(IntakeNLayerBelow,1) $rmi(IntakeNLayerBelow)
set rmi(IntakeNLayerBelow,2) $rmi(IntakeNLayerBelow)
set rmi(IntakeNLayerBelow,3) $rmi(IntakeNLayerBelow)
set rmi(ExhaustNLayerBelow) 1
set rmi(ExhaustNLayerBelow,1) $rmi(ExhaustNLayerBelow)
set rmi(ExhaustNLayerBelow,2) $rmi(ExhaustNLayerBelow)
set rmi(IntakeMaxHeightLayerBelow) 1
set rmi(IntakeMaxHeightLayerBelow,1) $rmi(IntakeMaxHeightLayerBelow)
set rmi(IntakeMaxHeightLayerBelow,2) $rmi(IntakeMaxHeightLayerBelow)
set rmi(IntakeMaxHeightLayerBelow,3) $rmi(IntakeMaxHeightLayerBelow)
set rmi(ExhaustMaxHeightLayerBelow) 1
set rmi(ExhaustMaxHeightLayerBelow,1) $rmi(ExhaustMaxHeightLayerBelow)
set rmi(ExhaustMaxHeightLayerBelow,2) $rmi(ExhaustMaxHeightLayerBelow)
set rmi(IntakeNLayerTip) 1
set rmi(IntakeNLayerTip,1) $rmi(IntakeNLayerTip)
set rmi(IntakeNLayerTip,2) $rmi(IntakeNLayerTip)
set rmi(IntakeNLayerTip,3) $rmi(IntakeNLayerTip)
set rmi(ExhaustNLayerTip) 1
set rmi(ExhaustNLayerTip,1) $rmi(ExhaustNLayerTip)
set rmi(ExhaustNLayerTip,2) $rmi(ExhaustNLayerTip)
set rmi(IntakeNCellsCircum) 1
set rmi(IntakeNCellsCircum,1) $rmi(IntakeNCellsCircum)
set rmi(IntakeNCellsCircum,2) $rmi(IntakeNCellsCircum)
set rmi(IntakeNCellsCircum,3) $rmi(IntakeNCellsCircum)
set rmi(ExhaustNCellsCircum) 1
set rmi(ExhaustNCellsCircum,1) $rmi(ExhaustNCellsCircum)
set rmi(ExhaustNCellsCircum,2) $rmi(ExhaustNCellsCircum)
set rmi(Stations) ""
set rmi(StationsList) ""
set rmi(StationsInfo) ""

set rmi(configuration) ""
set rmi(settings_fn) ""
set rmi(tetin_fn) ""
set rmi(valves_intake_fn) ""
set rmi(valves_exhaust_fn) ""
set rmi(intake_lift_fn) ""
set rmi(intake_lift_fn,1) ""
set rmi(intake_lift_fn,2) ""
set rmi(intake_lift_fn,3) ""
set rmi(exhaust_lift_fn) ""
set rmi(exhaust_lift_fn,1) ""
set rmi(exhaust_lift_fn,2) ""
set rmi(scale_factor) 1.0
set rmi(bore_diameter) 100
set rmi(stroke_length) 100
set rmi(connecting_rod_length) 176
set rmi(piston_TDC_position) "-1.00"
set rmi(intake_number_valve) 1
set rmi(exhaust_number_valve) 1
set rmi(intake_lift_factor) "1.0"
set rmi(exhaust_lift_factor) "1.0"
set rmi(intake_max_lift) 450
set rmi(intake_max_lift,1) $rmi(intake_max_lift)
set rmi(intake_max_lift,2) $rmi(intake_max_lift)
set rmi(intake_max_lift,3) $rmi(intake_max_lift)
set rmi(exhaust_max_lift) 960
set rmi(exhaust_max_lift,1) $rmi(exhaust_max_lift)
set rmi(exhaust_max_lift,2) $rmi(exhaust_max_lift)
set rmi(intake_min_lift) ".05"
set rmi(exhaust_min_lift) ".05"
set rmi(engine_RPM) 1500
set rmi(degrees_simulated_start) 360
set rmi(degrees_simulated_stop) 720
set rmi(current_intake_valve) 1
set rmi(current_exhaust_valve) 1
set rmi(hpc) 0
set rmi(number_processors) 4
set rmi(casename) Engine
set rmi(intake_valve_nlayers) 10
set rmi(exhaust_valve_nlayers) 10
set rmi(tetra_ref_size) 0.0
set rmi(prism_initial_height) 0.4
set rmi(prism_growth_ratio) 1.1
set rmi(prism_number_layers) 1
set rmi(n_prism_layers_remain) 0
set rmi(display_logfile) 0
set rmi(number_layers_cyl_TDC) 3
set rmi(number_layers_cyl_BDC) 26
set rmi(bdc_layer_thickness) 1.5
set rmi(edge_criterion_cmb) 0.2
if [info exists env(ICEM_CHADICE)] {
  set rmi(use_geometr_set_intake) 1
  set rmi(use_geometr_set_exhaust) 1
  set rmi(use_geometr_set_comb) 1
  set rmi(use_geometr_set_piston) 1
} else {
  set rmi(use_geometr_set_intake) 0
  set rmi(use_geometr_set_exhaust) 0
  set rmi(use_geometr_set_comb) 0
  set rmi(use_geometr_set_piston) 0
}
set rmi(use_geometr_set_intake,1) $rmi(use_geometr_set_intake)
set rmi(use_geometr_set_intake,2) $rmi(use_geometr_set_intake)
set rmi(use_geometr_set_intake,3) $rmi(use_geometr_set_intake)
set rmi(use_geometr_set_exhaust,1) $rmi(use_geometr_set_exhaust)
set rmi(use_geometr_set_exhaust,2) $rmi(use_geometr_set_exhaust)
set rmi(tetra_ref_size_intake) 0.0
set rmi(tetra_ref_size_intake,1) $rmi(tetra_ref_size_intake)
set rmi(tetra_ref_size_intake,2) $rmi(tetra_ref_size_intake)
set rmi(tetra_ref_size_intake,3) $rmi(tetra_ref_size_intake)
set rmi(tetra_ref_size_exhaust) 0.0
set rmi(tetra_ref_size_exhaust,1) $rmi(tetra_ref_size_exhaust)
set rmi(tetra_ref_size_exhaust,2) $rmi(tetra_ref_size_exhaust)
set rmi(n_cells_in_gap_intake) 1.0
set rmi(n_cells_in_gap_intake,1) $rmi(n_cells_in_gap_intake)
set rmi(n_cells_in_gap_intake,2) $rmi(n_cells_in_gap_intake)
set rmi(n_cells_in_gap_intake,3) $rmi(n_cells_in_gap_intake)
set rmi(n_cells_in_gap_exhaust) 1.0
set rmi(n_cells_in_gap_exhaust,1) $rmi(n_cells_in_gap_exhaust)
set rmi(n_cells_in_gap_exhaust,2) $rmi(n_cells_in_gap_exhaust)
set rmi(n_prism_layers_intake) 0
set rmi(n_prism_layers_intake,1) $rmi(n_prism_layers_intake)
set rmi(n_prism_layers_intake,2) $rmi(n_prism_layers_intake)
set rmi(n_prism_layers_intake,3) $rmi(n_prism_layers_intake)
set rmi(n_prism_layers_exhaust) 0
set rmi(n_prism_layers_exhaust,1) $rmi(n_prism_layers_exhaust)
set rmi(n_prism_layers_exhaust,2) $rmi(n_prism_layers_exhaust)
set rmi(n_prism_smoothing_steps_intake) 6
set rmi(n_prism_smoothing_steps_intake,1) $rmi(n_prism_smoothing_steps_intake)
set rmi(n_prism_smoothing_steps_intake,2) $rmi(n_prism_smoothing_steps_intake)
set rmi(n_prism_smoothing_steps_intake,3) $rmi(n_prism_smoothing_steps_intake)
set rmi(n_prism_smoothing_steps_exhaust) 6
set rmi(n_prism_smoothing_steps_exhaust,1) $rmi(n_prism_smoothing_steps_exhaust)
set rmi(n_prism_smoothing_steps_exhaust,2) $rmi(n_prism_smoothing_steps_exhaust)
set rmi(prism_ratio_intake) 1.3
set rmi(prism_ratio_intake,1) $rmi(prism_ratio_intake)
set rmi(prism_ratio_intake,2) $rmi(prism_ratio_intake)
set rmi(prism_ratio_intake,3) $rmi(prism_ratio_intake)
set rmi(prism_ratio_exhaust) 1.3
set rmi(prism_ratio_exhaust,1) $rmi(prism_ratio_exhaust)
set rmi(prism_ratio_exhaust,2) $rmi(prism_ratio_exhaust)
set rmi(rel_prism_height_intake) 0.32
set rmi(rel_prism_height_intake,1) $rmi(rel_prism_height_intake)
set rmi(rel_prism_height_intake,2) $rmi(rel_prism_height_intake)
set rmi(rel_prism_height_intake,3) $rmi(rel_prism_height_intake)
set rmi(rel_prism_height_exhaust) 0.32
set rmi(rel_prism_height_exhaust,1) $rmi(rel_prism_height_exhaust)
set rmi(rel_prism_height_exhaust,2) $rmi(rel_prism_height_exhaust)
set rmi(max_prism_angle_intake) 180.0
set rmi(max_prism_angle_intake,1) $rmi(max_prism_angle_intake)
set rmi(max_prism_angle_intake,2) $rmi(max_prism_angle_intake)
set rmi(max_prism_angle_intake,3) $rmi(max_prism_angle_intake)
set rmi(max_prism_angle_exhaust) 180.0
set rmi(max_prism_angle_exhaust,1) $rmi(max_prism_angle_exhaust)
set rmi(max_prism_angle_exhaust,2) $rmi(max_prism_angle_exhaust)
set rmi(prism_smooth_ratio_intake) 0.05
set rmi(prism_smooth_ratio_intake,1) $rmi(prism_smooth_ratio_intake)
set rmi(prism_smooth_ratio_intake,2) $rmi(prism_smooth_ratio_intake)
set rmi(prism_smooth_ratio_intake,3) $rmi(prism_smooth_ratio_intake)
set rmi(prism_smooth_ratio_exhaust) 0.05
set rmi(prism_smooth_ratio_exhaust,1) $rmi(prism_smooth_ratio_exhaust)
set rmi(prism_smooth_ratio_exhaust,2) $rmi(prism_smooth_ratio_exhaust)
set rmi(tetra_smooth_ratio_intake) 0.25
set rmi(tetra_smooth_ratio_intake,1) $rmi(tetra_smooth_ratio_intake)
set rmi(tetra_smooth_ratio_intake,2) $rmi(tetra_smooth_ratio_intake)
set rmi(tetra_smooth_ratio_intake,3) $rmi(tetra_smooth_ratio_intake)
set rmi(tetra_smooth_ratio_exhaust) 0.25
set rmi(tetra_smooth_ratio_exhaust,1) $rmi(tetra_smooth_ratio_exhaust)
set rmi(tetra_smooth_ratio_exhaust,2) $rmi(tetra_smooth_ratio_exhaust)
set rmi(prismtetra_smooth_ratio_intake) 0.25
set rmi(prismtetra_smooth_ratio_intake,1) $rmi(prismtetra_smooth_ratio_intake)
set rmi(prismtetra_smooth_ratio_intake,2) $rmi(prismtetra_smooth_ratio_intake)
set rmi(prismtetra_smooth_ratio_intake,3) $rmi(prismtetra_smooth_ratio_intake)
set rmi(prismtetra_smooth_ratio_exhaust) 0.25
set rmi(prismtetra_smooth_ratio_exhaust,1) $rmi(prismtetra_smooth_ratio_exhaust)
set rmi(prismtetra_smooth_ratio_exhaust,2) $rmi(prismtetra_smooth_ratio_exhaust)
set rmi(n_prismtetra_smooth_steps_intake) 10
set rmi(n_prismtetra_smooth_steps_intake,1) $rmi(n_prismtetra_smooth_steps_intake)
set rmi(n_prismtetra_smooth_steps_intake,2) $rmi(n_prismtetra_smooth_steps_intake)
set rmi(n_prismtetra_smooth_steps_intake,3) $rmi(n_prismtetra_smooth_steps_intake)
set rmi(n_prismtetra_smooth_steps_exhaust) 10
set rmi(n_prismtetra_smooth_steps_exhaust,1) $rmi(n_prismtetra_smooth_steps_exhaust)
set rmi(n_prismtetra_smooth_steps_exhaust,2) $rmi(n_prismtetra_smooth_steps_exhaust)
set rmi(n_prism_smooth_steps_intake) 10
set rmi(n_prism_smooth_steps_intake,1) $rmi(n_prism_smooth_steps_intake)
set rmi(n_prism_smooth_steps_intake,2) $rmi(n_prism_smooth_steps_intake)
set rmi(n_prism_smooth_steps_intake,3) $rmi(n_prism_smooth_steps_intake)
set rmi(n_prism_smooth_steps_exhaust) 10
set rmi(n_prism_smooth_steps_exhaust,1) $rmi(n_prism_smooth_steps_exhaust)
set rmi(n_prism_smooth_steps_exhaust,2) $rmi(n_prism_smooth_steps_exhaust)
set rmi(n_tetra_smooth_steps_intake) 10
set rmi(n_tetra_smooth_steps_intake,1) $rmi(n_tetra_smooth_steps_intake)
set rmi(n_tetra_smooth_steps_intake,2) $rmi(n_tetra_smooth_steps_intake)
set rmi(n_tetra_smooth_steps_intake,3) $rmi(n_tetra_smooth_steps_intake)
set rmi(n_tetra_smooth_steps_exhaust) 10
set rmi(n_tetra_smooth_steps_exhaust,1) $rmi(n_tetra_smooth_steps_exhaust)
set rmi(n_tetra_smooth_steps_exhaust,2) $rmi(n_tetra_smooth_steps_exhaust)
set rmi(tetra_ref_size_comb) 0.0
set rmi(tetra_ref_size_piston) 0.0
set rmi(n_cells_in_gap_comb) 1.0
set rmi(n_cells_in_gap_piston) 1.0
set rmi(n_prism_layers_comb) 0
set rmi(n_prism_layers_piston) 0
set rmi(n_prism_smoothing_steps_comb) 6
set rmi(n_prism_smoothing_steps_piston) 6
set rmi(prism_ratio_comb) 1.3
set rmi(prism_ratio_piston) 1.3
set rmi(rel_prism_height_comb) 0.32
set rmi(rel_prism_height_piston) 0.32
set rmi(max_prism_angle_comb) 180.0
set rmi(max_prism_angle_piston) 180.0
set rmi(prism_smooth_ratio_comb) 0.05
set rmi(prism_smooth_ratio_piston) 0.05
set rmi(tetra_smooth_ratio_comb) 0.25
set rmi(tetra_smooth_ratio_piston) 0.25
set rmi(prismtetra_smooth_ratio_comb) 0.25
set rmi(prismtetra_smooth_ratio_piston) 0.25
set rmi(n_prismtetra_smooth_steps_comb) 10
set rmi(n_prismtetra_smooth_steps_piston) 10
set rmi(n_prism_smooth_steps_comb) 10
set rmi(n_prism_smooth_steps_piston) 10
set rmi(n_tetra_smooth_steps_comb) 10
set rmi(n_tetra_smooth_steps_piston) 10
set rmi(diagnostic_intake) 0
set rmi(diagnostic_intake,1) $rmi(diagnostic_intake)
set rmi(diagnostic_intake,2) $rmi(diagnostic_intake)
set rmi(diagnostic_intake,3) $rmi(diagnostic_intake)
set rmi(diagnostic_exhaust) 0
set rmi(diagnostic_exhaust,1) $rmi(diagnostic_exhaust)
set rmi(diagnostic_exhaust,2) $rmi(diagnostic_exhaust)
set rmi(diagnostic_comb) 0
set rmi(diagnostic_piston) 0
set rmi(intake_motion) 1
set rmi(exhaust_motion) 1
set rmi(ask_valve_angle) 1
set rmi(tetra_violate_geom_intake) 0.1
set rmi(tetra_violate_geom_intake,1) $rmi(tetra_violate_geom_intake)
set rmi(tetra_violate_geom_intake,2) $rmi(tetra_violate_geom_intake)
set rmi(tetra_violate_geom_intake,3) $rmi(tetra_violate_geom_intake)
set rmi(tetra_violate_geom_exhaust) 0.1
set rmi(tetra_violate_geom_exhaust,1) $rmi(tetra_violate_geom_exhaust)
set rmi(tetra_violate_geom_exhaust,2) $rmi(tetra_violate_geom_exhaust)
set rmi(tetra_violate_geom_comb) 0.1
set rmi(tetra_violate_geom_piston) 0.1
set rmi(duplicate_intake) 1
set rmi(duplicate_intake,1) $rmi(duplicate_intake)
set rmi(duplicate_intake,2) $rmi(duplicate_intake)
set rmi(duplicate_intake,3) $rmi(duplicate_intake)
set rmi(single_intake) 1
set rmi(single_intake,1) $rmi(single_intake)
set rmi(single_intake,2) $rmi(single_intake)
set rmi(single_intake,3) $rmi(single_intake)
set rmi(single_2_intake) 1
set rmi(single_2_intake,1) $rmi(single_2_intake)
set rmi(single_2_intake,2) $rmi(single_2_intake)
set rmi(single_2_intake,3) $rmi(single_2_intake)
set rmi(multiple_intake) 1
set rmi(multiple_intake,1) $rmi(multiple_intake)
set rmi(multiple_intake,2) $rmi(multiple_intake)
set rmi(multiple_intake,3) $rmi(multiple_intake)
set rmi(single_multiple_intake) 1
set rmi(single_multiple_intake,1) $rmi(single_multiple_intake)
set rmi(single_multiple_intake,2) $rmi(single_multiple_intake)
set rmi(single_multiple_intake,3) $rmi(single_multiple_intake)
set rmi(uncovered_intake) 1
set rmi(uncovered_intake,1) $rmi(uncovered_intake)
set rmi(uncovered_intake,2) $rmi(uncovered_intake)
set rmi(uncovered_intake,3) $rmi(uncovered_intake)
set rmi(missing_internal_intake) 1
set rmi(missing_internal_intake,1) $rmi(missing_internal_intake)
set rmi(missing_internal_intake,2) $rmi(missing_internal_intake)
set rmi(missing_internal_intake,3) $rmi(missing_internal_intake)
set rmi(triangle_box_intake) 1
set rmi(triangle_box_intake,1) $rmi(triangle_box_intake)
set rmi(triangle_box_intake,2) $rmi(triangle_box_intake)
set rmi(triangle_box_intake,3) $rmi(triangle_box_intake)
set rmi(nmanvert_intake) 1
set rmi(nmanvert_intake,1) $rmi(nmanvert_intake)
set rmi(nmanvert_intake,2) $rmi(nmanvert_intake)
set rmi(nmanvert_intake,3) $rmi(nmanvert_intake)
set rmi(vol_orient_intake) 1
set rmi(vol_orient_intake,1) $rmi(vol_orient_intake)
set rmi(vol_orient_intake,2) $rmi(vol_orient_intake)
set rmi(vol_orient_intake,3) $rmi(vol_orient_intake)
set rmi(surf_orient_intake) 1
set rmi(surf_orient_intake,1) $rmi(surf_orient_intake)
set rmi(surf_orient_intake,2) $rmi(surf_orient_intake)
set rmi(surf_orient_intake,3) $rmi(surf_orient_intake)
set rmi(disconnected_vert_intake) 1
set rmi(disconnected_vert_intake,1) $rmi(disconnected_vert_intake)
set rmi(disconnected_vert_intake,2) $rmi(disconnected_vert_intake)
set rmi(disconnected_vert_intake,3) $rmi(disconnected_vert_intake)
set rmi(metric_intake) 1
set rmi(metric_intake,1) $rmi(metric_intake)
set rmi(metric_intake,2) $rmi(metric_intake)
set rmi(metric_intake,3) $rmi(metric_intake)
set rmi(duplicate_exhaust) 1
set rmi(duplicate_exhaust,1) $rmi(duplicate_exhaust)
set rmi(duplicate_exhaust,2) $rmi(duplicate_exhaust)
set rmi(single_exhaust) 1
set rmi(single_exhaust,1) $rmi(single_exhaust)
set rmi(single_exhaust,2) $rmi(single_exhaust)
set rmi(single_2_exhaust) 1
set rmi(single_2_exhaust,1) $rmi(single_2_exhaust)
set rmi(single_2_exhaust,2) $rmi(single_2_exhaust)
set rmi(multiple_exhaust) 1
set rmi(multiple_exhaust,1) $rmi(multiple_exhaust)
set rmi(multiple_exhaust,2) $rmi(multiple_exhaust)
set rmi(single_multiple_exhaust) 1
set rmi(single_multiple_exhaust,1) $rmi(single_multiple_exhaust)
set rmi(single_multiple_exhaust,2) $rmi(single_multiple_exhaust)
set rmi(uncovered_exhaust) 1
set rmi(uncovered_exhaust,1) $rmi(uncovered_exhaust)
set rmi(uncovered_exhaust,2) $rmi(uncovered_exhaust)
set rmi(missing_internal_exhaust) 1
set rmi(missing_internal_exhaust,1) $rmi(missing_internal_exhaust)
set rmi(missing_internal_exhaust,2) $rmi(missing_internal_exhaust)
set rmi(triangle_box_exhaust) 1
set rmi(triangle_box_exhaust,1) $rmi(triangle_box_exhaust)
set rmi(triangle_box_exhaust,2) $rmi(triangle_box_exhaust)
set rmi(nmanvert_exhaust) 1
set rmi(nmanvert_exhaust,1) $rmi(nmanvert_exhaust)
set rmi(nmanvert_exhaust,2) $rmi(nmanvert_exhaust)
set rmi(vol_orient_exhaust) 1
set rmi(vol_orient_exhaust,1) $rmi(vol_orient_exhaust)
set rmi(vol_orient_exhaust,2) $rmi(vol_orient_exhaust)
set rmi(surf_orient_exhaust) 1
set rmi(surf_orient_exhaust,1) $rmi(surf_orient_exhaust)
set rmi(surf_orient_exhaust,2) $rmi(surf_orient_exhaust)
set rmi(disconnected_vert_exhaust) 1
set rmi(disconnected_vert_exhaust,1) $rmi(disconnected_vert_exhaust)
set rmi(disconnected_vert_exhaust,2) $rmi(disconnected_vert_exhaust)
set rmi(metric_exhaust) 1
set rmi(metric_exhaust,1) $rmi(metric_exhaust)
set rmi(metric_exhaust,2) $rmi(metric_exhaust)
set rmi(duplicate_comb) 1
set rmi(single_comb) 1
set rmi(single_2_comb) 1
set rmi(multiple_comb) 1
set rmi(single_multiple_comb) 1
set rmi(uncovered_comb) 1
set rmi(missing_internal_comb) 1
set rmi(triangle_box_comb) 1
set rmi(nmanvert_comb) 1
set rmi(vol_orient_comb) 1
set rmi(surf_orient_comb) 1
set rmi(disconnected_vert_comb) 1
set rmi(metric_comb) 1
set rmi(duplicate_piston) 1
set rmi(single_piston) 1
set rmi(single_2_piston) 1
set rmi(multiple_piston) 1
set rmi(single_multiple_piston) 1
set rmi(uncovered_piston) 1
set rmi(missing_internal_piston) 1
set rmi(triangle_box_piston) 1
set rmi(nmanvert_piston) 1
set rmi(vol_orient_piston) 1
set rmi(surf_orient_piston) 1
set rmi(disconnected_vert_piston) 1
set rmi(metric_piston) 1
set rmi(extrude_comb) 1
set rmi(piston_at_tdc) 0
set rmi(n_smooth_hexa_intake) 10
set rmi(n_smooth_hexa_intake,1) $rmi(n_smooth_hexa_intake)
set rmi(n_smooth_hexa_intake,2) $rmi(n_smooth_hexa_intake)
set rmi(n_smooth_hexa_intake,3) $rmi(n_smooth_hexa_intake)
set rmi(n_smooth_hexa_exhaust) 10
set rmi(n_smooth_hexa_exhaust,1) $rmi(n_smooth_hexa_exhaust)
set rmi(n_smooth_hexa_exhaust,2) $rmi(n_smooth_hexa_exhaust)
set rmi(n_layer_below_valve_intake) 2
set rmi(n_layer_below_valve_intake,1) $rmi(n_layer_below_valve_intake)
set rmi(n_layer_below_valve_intake,2) $rmi(n_layer_below_valve_intake)
set rmi(n_layer_below_valve_intake,3) $rmi(n_layer_below_valve_intake)
set rmi(n_layer_below_valve_exhaust) 2
set rmi(n_layer_below_valve_exhaust,1) $rmi(n_layer_below_valve_exhaust)
set rmi(n_layer_below_valve_exhaust,2) $rmi(n_layer_below_valve_exhaust)
set rmi(max_height_below_valve_intake) 1.0
set rmi(max_height_below_valve_intake,1) $rmi(max_height_below_valve_intake)
set rmi(max_height_below_valve_intake,2) $rmi(max_height_below_valve_intake)
set rmi(max_height_below_valve_intake,3) $rmi(max_height_below_valve_intake)
set rmi(max_height_below_valve_exhaust) 1.0
set rmi(max_height_below_valve_exhaust,1) $rmi(max_height_below_valve_exhaust)
set rmi(max_height_below_valve_exhaust,2) $rmi(max_height_below_valve_exhaust)
set rmi(n_layer_tip_valve_intake) 4
set rmi(n_layer_tip_valve_intake,1) $rmi(n_layer_tip_valve_intake)
set rmi(n_layer_tip_valve_intake,2) $rmi(n_layer_tip_valve_intake)
set rmi(n_layer_tip_valve_intake,3) $rmi(n_layer_tip_valve_intake)
set rmi(n_layer_tip_valve_exhaust) 4
set rmi(n_layer_tip_valve_exhaust,1) $rmi(n_layer_tip_valve_exhaust)
set rmi(n_layer_tip_valve_exhaust,2) $rmi(n_layer_tip_valve_exhaust)
set rmi(n_cells_circumfrential_intake) 60
set rmi(n_cells_circumfrential_intake,1) $rmi(n_cells_circumfrential_intake)
set rmi(n_cells_circumfrential_intake,2) $rmi(n_cells_circumfrential_intake)
set rmi(n_cells_circumfrential_intake,3) $rmi(n_cells_circumfrential_intake)
set rmi(n_cells_circumfrential_exhaust) 60
set rmi(n_cells_circumfrential_exhaust,1) $rmi(n_cells_circumfrential_exhaust)
set rmi(n_cells_circumfrential_exhaust,2) $rmi(n_cells_circumfrential_exhaust)
set rmi(n_layers_at_bnd_intake) 10
set rmi(n_layers_at_bnd_intake,1) $rmi(n_layers_at_bnd_intake)
set rmi(n_layers_at_bnd_intake,2) $rmi(n_layers_at_bnd_intake)
set rmi(n_layers_at_bnd_intake,3) $rmi(n_layers_at_bnd_intake)
set rmi(n_layers_at_bnd_exhaust) 10
set rmi(n_layers_at_bnd_exhaust,1) $rmi(n_layers_at_bnd_exhaust)
set rmi(n_layers_at_bnd_exhaust,2) $rmi(n_layers_at_bnd_exhaust)
set rmi(compute_port_intake,1) 1
set rmi(compute_port_intake,2) 1
set rmi(compute_port_intake,3) 1
set rmi(compute_port_exhaust,1) 1
set rmi(compute_port_exhaust,2) 1
set rmi(compute_ext_port_intake,1) 1
set rmi(compute_ext_port_intake,2) 1
set rmi(compute_ext_port_intake,3) 1
set rmi(compute_ext_port_exhaust,1) 1
set rmi(compute_ext_port_exhaust,2) 1
set rmi(compute_comb) 1
set rmi(compute_piston) 1
set rmi(compute_valve_intake,1) 1
set rmi(compute_valve_intake,2) 1
set rmi(compute_valve_intake,3) 1
set rmi(compute_valve_exhaust,1) 1
set rmi(compute_valve_exhaust,2) 1
set rmi(no_mesh_tet_intake,1) 0
set rmi(no_mesh_tet_intake,2) 0
set rmi(no_mesh_tet_intake,3) 0
set rmi(no_mesh_tet_exhaust,1) 0
set rmi(no_mesh_tet_exhaust,2) 0
set rmi(no_mesh_hex_intake,1) 0
set rmi(no_mesh_hex_intake,2) 0
set rmi(no_mesh_hex_intake,3) 0
set rmi(no_mesh_hex_exhaust,1) 0
set rmi(no_mesh_hex_exhaust,2) 0
set rmi(no_mesh_comb) 0
set rmi(no_mesh_piston) 0
set rmi(output_mesh_port_intake,1) 1
set rmi(output_mesh_port_intake,2) 1
set rmi(output_mesh_port_intake,3) 1
set rmi(output_mesh_port_exhaust,1) 1
set rmi(output_mesh_port_exhaust,2) 1
set rmi(output_mesh_valve_intake,1) 1
set rmi(output_mesh_valve_intake,2) 1
set rmi(output_mesh_valve_intake,3) 1
set rmi(output_mesh_valve_exhaust,1) 1
set rmi(output_mesh_valve_exhaust,2) 1
set rmi(output_mesh_comb) 1
set rmi(output_mesh_piston) 1
set rmi(n_prism_layers_on_curtain_comb) 0
set rmi(hgt_prism_layers_on_curtain_comb) 1.0
set rmi(starting_angle_dca) 360
set rmi(ending_angle_dca) 720
set rmi(increment_angle_dca) 10
set rmi(angle_dca) 360
set rmi(outp_lift_curves) 1
set rmi(outp_para_file) 1
set rmi(Platform) ""
set rmi(UseCylinderLength) 0
set rmi(cyl_length) -500
set rmi(nlayers_cyl) 50
set rmi(UseForPlatform) 1
set rmi(clean_geometry_comb) 0
set rmi(clean_tetra_mesh_intake) 0
set rmi(clean_tetra_mesh_intake,1) $rmi(clean_tetra_mesh_intake)
set rmi(clean_tetra_mesh_intake,2) $rmi(clean_tetra_mesh_intake)
set rmi(clean_tetra_mesh_intake,3) $rmi(clean_tetra_mesh_intake)
set rmi(clean_tetra_mesh_exhaust) 0
set rmi(clean_tetra_mesh_exhaust,1) $rmi(clean_tetra_mesh_exhaust)
set rmi(clean_tetra_mesh_exhaust,2) $rmi(clean_tetra_mesh_exhaust)
set rmi(clean_tetra_mesh_comb) 0
set rmi(clean_tetra_mesh_piston) 0
set rmi(geo_starting_angle_dca) 360
set rmi(geo_ending_angle_dca) 720
set rmi(geo_increment_angle_dca) 10
set rmi(n_layers_next_tip_intake) 2
set rmi(n_layers_next_tip_intake,1) $rmi(n_layers_next_tip_intake)
set rmi(n_layers_next_tip_intake,2) $rmi(n_layers_next_tip_intake)
set rmi(n_layers_next_tip_intake,3) $rmi(n_layers_next_tip_intake)
set rmi(n_layers_next_tip_exhaust) 2
set rmi(n_layers_next_tip_exhaust,1) $rmi(n_layers_next_tip_exhaust)
set rmi(n_layers_next_tip_exhaust,2) $rmi(n_layers_next_tip_exhaust)
set rmi(n_layers_valve_seat_intake) 5
set rmi(n_layers_valve_seat_intake,1) $rmi(n_layers_valve_seat_intake)
set rmi(n_layers_valve_seat_intake,2) $rmi(n_layers_valve_seat_intake)
set rmi(n_layers_valve_seat_intake,3) $rmi(n_layers_valve_seat_intake)
set rmi(n_layers_valve_seat_exhaust) 5
set rmi(n_layers_valve_seat_exhaust,1) $rmi(n_layers_valve_seat_exhaust)
set rmi(n_layers_valve_seat_exhaust,2) $rmi(n_layers_valve_seat_exhaust)
set rmi(n_layers_valve_closure_intake) 1
set rmi(n_layers_valve_closure_intake,1) $rmi(n_layers_valve_closure_intake)
set rmi(n_layers_valve_closure_intake,2) $rmi(n_layers_valve_closure_intake)
set rmi(n_layers_valve_closure_intake,3) $rmi(n_layers_valve_closure_intake)
set rmi(n_layers_valve_closure_exhaust) 1
set rmi(n_layers_valve_closure_exhaust,1) $rmi(n_layers_valve_closure_exhaust)
set rmi(n_layers_valve_closure_exhaust,2) $rmi(n_layers_valve_closure_exhaust)
set rmi(value_layers_at_lift_intake) 0.5
set rmi(value_layers_at_lift_intake,1) $rmi(value_layers_at_lift_intake)
set rmi(value_layers_at_lift_intake,2) $rmi(value_layers_at_lift_intake)
set rmi(value_layers_at_lift_intake,3) $rmi(value_layers_at_lift_intake)
set rmi(value_layers_at_lift_exhaust) 0.5
set rmi(value_layers_at_lift_exhaust,1) $rmi(value_layers_at_lift_exhaust)
set rmi(value_layers_at_lift_exhaust,2) $rmi(value_layers_at_lift_exhaust)
set rmi(n_layers_at_lift_intake) 3
set rmi(n_layers_at_lift_intake,1) $rmi(n_layers_at_lift_intake)
set rmi(n_layers_at_lift_intake,2) $rmi(n_layers_at_lift_intake)
set rmi(n_layers_at_lift_intake,3) $rmi(n_layers_at_lift_intake)
set rmi(n_layers_at_lift_exhaust) 3
set rmi(n_layers_at_lift_exhaust,1) $rmi(n_layers_at_lift_exhaust)
set rmi(n_layers_at_lift_exhaust,2) $rmi(n_layers_at_lift_exhaust)
set rmi(exclude_port_valve_closure_intake) 0
set rmi(exclude_port_valve_closure_intake,1) $rmi(exclude_port_valve_closure_intake)
set rmi(exclude_port_valve_closure_intake,2) $rmi(exclude_port_valve_closure_intake)
set rmi(exclude_port_valve_closure_intake,3) $rmi(exclude_port_valve_closure_intake)
set rmi(exclude_port_valve_closure_exhaust) 0
set rmi(exclude_port_valve_closure_exhaust,1) $rmi(exclude_port_valve_closure_exhaust)
set rmi(exclude_port_valve_closure_exhaust,2) $rmi(exclude_port_valve_closure_exhaust)
set rmi(edge1_intake) 5
set rmi(edge1_intake,1) $rmi(edge1_intake)
set rmi(edge1_intake,2) $rmi(edge1_intake)
set rmi(edge1_intake,3) $rmi(edge1_intake)
set rmi(edge1_exhaust) 5
set rmi(edge1_exhaust,1) $rmi(edge1_exhaust)
set rmi(edge1_exhaust,2) $rmi(edge1_exhaust)
set rmi(edge2_intake) 12
set rmi(edge2_intake,1) $rmi(edge2_intake)
set rmi(edge2_intake,2) $rmi(edge2_intake)
set rmi(edge2_intake,3) $rmi(edge2_intake)
set rmi(edge2_exhaust) 12
set rmi(edge2_exhaust,1) $rmi(edge2_exhaust)
set rmi(edge2_exhaust,2) $rmi(edge2_exhaust)
set rmi(edge3_intake) 5
set rmi(edge3_intake,1) $rmi(edge3_intake)
set rmi(edge3_intake,2) $rmi(edge3_intake)
set rmi(edge3_intake,3) $rmi(edge3_intake)
set rmi(edge3_exhaust) 5
set rmi(edge3_exhaust,1) $rmi(edge3_exhaust)
set rmi(edge3_exhaust,2) $rmi(edge3_exhaust)
set rmi(edge4_intake) 4
set rmi(edge4_intake,1) $rmi(edge4_intake)
set rmi(edge4_intake,2) $rmi(edge4_intake)
set rmi(edge4_intake,3) $rmi(edge4_intake)
set rmi(edge4_exhaust) 4
set rmi(edge4_exhaust,1) $rmi(edge4_exhaust)
set rmi(edge4_exhaust,2) $rmi(edge4_exhaust)
set rmi(edge5_intake) 12
set rmi(edge5_intake,1) $rmi(edge5_intake)
set rmi(edge5_intake,2) $rmi(edge5_intake)
set rmi(edge5_intake,3) $rmi(edge5_intake)
set rmi(edge5_exhaust) 12
set rmi(edge5_exhaust,1) $rmi(edge5_exhaust)
set rmi(edge5_exhaust,2) $rmi(edge5_exhaust)
set rmi(edge10_intake) 3
set rmi(edge10_intake,1) $rmi(edge10_intake)
set rmi(edge10_intake,2) $rmi(edge10_intake)
set rmi(edge10_intake,3) $rmi(edge10_intake)
set rmi(edge10_exhaust) 3
set rmi(edge10_exhaust,1) $rmi(edge10_exhaust)
set rmi(edge10_exhaust,2) $rmi(edge10_exhaust)
set rmi(edge11_intake) 9
set rmi(edge11_intake,1) $rmi(edge11_intake)
set rmi(edge11_intake,2) $rmi(edge11_intake)
set rmi(edge11_intake,3) $rmi(edge11_intake)
set rmi(edge11_exhaust) 9
set rmi(edge11_exhaust,1) $rmi(edge11_exhaust)
set rmi(edge11_exhaust,2) $rmi(edge11_exhaust)
set rmi(edge13_intake) 2
set rmi(edge13_intake,1) $rmi(edge13_intake)
set rmi(edge13_intake,2) $rmi(edge13_intake)
set rmi(edge13_intake,3) $rmi(edge13_intake)
set rmi(edge13_exhaust) 2
set rmi(edge13_exhaust,1) $rmi(edge13_exhaust)
set rmi(edge13_exhaust,2) $rmi(edge13_exhaust)
set rmi(edge14_intake) 4
set rmi(edge14_intake,1) $rmi(edge14_intake)
set rmi(edge14_intake,2) $rmi(edge14_intake)
set rmi(edge14_intake,3) $rmi(edge14_intake)
set rmi(edge14_exhaust) 4
set rmi(edge14_exhaust,1) $rmi(edge14_exhaust)
set rmi(edge14_exhaust,2) $rmi(edge14_exhaust)
set rmi(edge15_intake) 3
set rmi(edge15_intake,1) $rmi(edge15_intake)
set rmi(edge15_intake,2) $rmi(edge15_intake)
set rmi(edge15_intake,3) $rmi(edge15_intake)
set rmi(edge15_exhaust) 3
set rmi(edge15_exhaust,1) $rmi(edge15_exhaust)
set rmi(edge15_exhaust,2) $rmi(edge15_exhaust)
set rmi(vbdyh_intake) -1
set rmi(vbdyh_intake,1) $rmi(vbdyh_intake)
set rmi(vbdyh_intake,2) $rmi(vbdyh_intake)
set rmi(vbdyh_intake,3) $rmi(vbdyh_intake)
set rmi(vbdyh_exhaust) -1
set rmi(vbdyh_exhaust,1) $rmi(vbdyh_exhaust)
set rmi(vbdyh_exhaust,2) $rmi(vbdyh_exhaust)
set rmi(vbdynum_intake) -1
set rmi(vbdynum_intake,1) $rmi(vbdynum_intake)
set rmi(vbdynum_intake,2) $rmi(vbdynum_intake)
set rmi(vbdynum_intake,3) $rmi(vbdynum_intake)
set rmi(vbdynum_exhaust) -1
set rmi(vbdynum_exhaust,1) $rmi(vbdynum_exhaust)
set rmi(vbdynum_exhaust,2) $rmi(vbdynum_exhaust)
set rmi(edge_criterion_intake) 0.2
set rmi(edge_criterion_intake,1) $rmi(edge_criterion_intake)
set rmi(edge_criterion_intake,2) $rmi(edge_criterion_intake)
set rmi(edge_criterion_intake,3) $rmi(edge_criterion_intake)
set rmi(edge_criterion_exhaust) 0.2
set rmi(edge_criterion_exhaust,1) $rmi(edge_criterion_exhaust)
set rmi(edge_criterion_exhaust,2) $rmi(edge_criterion_exhaust)
set rmi(IntakeVBDY) 0
set rmi(IntakeVBDY,1) $rmi(IntakeVBDY)
set rmi(IntakeVBDY,2) $rmi(IntakeVBDY)
set rmi(IntakeVBDY,3) $rmi(IntakeVBDY)
set rmi(ExhaustVBDY) 0
set rmi(ExhaustVBDY,1) $rmi(ExhaustVBDY)
set rmi(ExhaustVBDY,2) $rmi(ExhaustVBDY)
set rmi(time_step_dca) 0.25
set rmi(time_step) 0.0000222
















